Subject: bug#646: orphan-sysvinit-scripts: rsyslog script and links removed

From: Mark Hindley <[email-masked]>
Date: Mon, 27 Dec 2021 07:26:20 +0000

Arthur,

On Sat, Dec 25, 2021 at 12:40:42AM +1030, Arthur Marsh wrote:
> Package: orphan-sysvinit-scripts
> Version: 0.11
> Severity: normal
> 
> Dear Maintainer,
> 
> *** Reporter, please consider answering these questions, where appropriate ***
> 
>    * What led up to the situation?
> 
> upgrading from 0.10 to 0.11
> 
>    * What exactly did you do (or not do) that was effective (or
>      ineffective)?
> 
> removed and re-installed orphan-sysvinit-scripts 0.11, manually ran:
> 
> /usr/lib/orphan-sysvinit-scripts# sh -x update_init_d.sh

Why did you want/need to do that?

I am not sure what you are showing here.

In general I have 2 observations:

 - orphan-sysvinit-scripts is a debian package and bugs in it should be reported
   to Debian's BTS

 - I am not sure orphan-sysvinit-scripts is required on a Devuan system. To my
   knowledge, we have directly restored any missing initscripts by forking. That
   certainly applies to rsyslog. Why do you have/need it to be installed?

Mark